---
title: FileSystemFlags.create
slug: Web/API/FileSystemFlags/create
tags:
  - API
  - Create
  - File System API
  - File and Directory Entries API
  - FileSystemFlags
  - Files
  - Flile System API
  - Non-standard
  - Offline
  - Property
  - Reference
---
<div>{{APIRef("File System API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>create</code></strong> property on the {{domxref("FileSystemFlags")}} dictionary is used to indicate whether or not the file should be created if it's missing. <code>FileSystemFlags</code> is only used when calling {{domxref("FileSystemDirectoryEntry.getFile()")}} or {{domxref("FileSystemDirectoryEntry.getDirectory()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>fileSystemFlags</em>.create = <em>booleanValue</em>
</pre>

<h3 id="Values">Values</h3>

<p>{{page("/en-US/docs/Web/API/FileSystemFlags", "Values and results")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('File System API', '#dom-filesystemflags-create', 'FileSystemFlags') }}</td>
   <td>{{ Spec2('File System API') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystemFlags.create")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
 <li>{{domxref("FileSystemFlags")}}</li>
 <li>{{domxref("FileSystemDirectoryEntry.getFile()")}} and {{domxref("FileSystemDirectoryEntry.getDirectory()")}}</li>
</ul>
